import { P as PropTypes, j as jsxRuntimeExports } from "./index-1b71ec1c.js";
import React from "react";
var Input = function(_a) {
  var type = _a.type, defaultValue = _a.defaultValue, handleChange = _a.handleChange, name = _a.name;
  var _b = React.useState(defaultValue), value = _b[0], setValue = _b[1];
  var input = jsxRuntimeExports.jsx("input", { "aria-label": "input", value, onChange: function(e) {
    return setValue(e.target.value);
  }, onBlur: function(e) {
    return handleChange(name, e.target.value);
  }, type, name });
  return input;
};
Input.propTypes = {
  type: PropTypes.string.isRequired,
  handleChange: PropTypes.func.isRequired,
  defaultValue: PropTypes.string.isRequired,
  name: PropTypes.string.isRequired
};
export {
  Input as default
};
