import { P as PropTypes, j as jsxRuntimeExports } from "./index-1b71ec1c.js";
import Input from "./Input.js";
import "react";
const AttributesTools$1 = "";
var AttributesTools = function(_a) {
  var _b, _c;
  var selectedElement = _a.selectedElement, handleChange = _a.handleChange, attributes = _a.attributes;
  return jsxRuntimeExports.jsxs("div", { className: "OIe-attributes-tools", children: [jsxRuntimeExports.jsxs("label", { children: ["Tag:", jsxRuntimeExports.jsx("input", { type: "text", name: "tagName", readOnly: true, value: (_b = selectedElement.tagName) !== null && _b !== void 0 ? _b : "" })] }, "tagName"), jsxRuntimeExports.jsxs("label", { children: ["Id:", jsxRuntimeExports.jsx(Input, { type: "text", name: "id", defaultValue: (_c = selectedElement.id) !== null && _c !== void 0 ? _c : "", handleChange })] }, "id"), Object.entries(attributes).map(function(_a2) {
    var _b2;
    var attribute = _a2[0], type = _a2[1];
    var round = function(val) {
      if (Number.isNaN(Number(val)))
        return val;
      return Math.round((Number(val) + Number.EPSILON) * 1e3) / 1e3;
    };
    var value = (_b2 = round(selectedElement.getAttribute(attribute))) !== null && _b2 !== void 0 ? _b2 : "";
    if (Array.isArray(type)) {
      return jsxRuntimeExports.jsxs("label", { children: ["".concat(attribute, ":"), jsxRuntimeExports.jsx("select", { defaultValue: value, onChange: function(e) {
        return handleChange(attribute, e.target.value);
      }, name: attribute, children: type.map(function(o) {
        return jsxRuntimeExports.jsx("option", { value: o, children: o }, o);
      }) })] }, attribute);
    }
    if (type === "text") {
      return jsxRuntimeExports.jsxs("label", { children: ["".concat(attribute, ":"), jsxRuntimeExports.jsx("input", { type: "text", name: attribute, onChange: function(e) {
        return handleChange(attribute, e.target.value);
      }, defaultValue: value })] }, attribute);
    }
    if (type === "number") {
      return jsxRuntimeExports.jsxs("label", { children: ["".concat(attribute, ":"), jsxRuntimeExports.jsx("input", { type: "number", name: attribute, onChange: function(e) {
        return handleChange(attribute, e.target.value);
      }, defaultValue: value })] }, attribute);
    }
    return jsxRuntimeExports.jsxs("label", { children: ["".concat(attribute, ":"), jsxRuntimeExports.jsx("input", { type: "text", name: attribute, readOnly: true, value })] }, attribute);
  })] });
};
AttributesTools.propTypes = {
  attributes: PropTypes.object.isRequired,
  handleChange: PropTypes.func.isRequired,
  selectedElement: PropTypes.object.isRequired
};
export {
  AttributesTools as default
};
